#ifndef _MapReader_HH_
#define _MapReader_HH_

#include <iostream>
#include <fstream>
#include <string>

#include <TSystem.h>

using namespace std;


class MapReader
{
  private:
    TString filename;

  public:
    MapReader(){}
    MapReader(TString in_filename){
      filename = in_filename;

      FileStat_t info;
      if(gSystem->GetPathInfo(filename.Data(), info) != 0){
        cerr << "EROOR: in yaml File, '" << filename.Data() << "' does not exist." << endl;
        exit(0);
      }

      ReadMap();
    }
    ~MapReader(){}

    Int_t size = 0;
    vector< vector<Int_t> > segment_id;
    vector< vector<Int_t> > channel;
    vector<TString> detector_name;

    void SetMapFile(TString in_filename){ filename = in_filename; }

    TString GetMap(){ return filename;}
    Int_t GetSize(){ return size; }

    void ReadMap();
    void ReadMap(TString in_filename);
};

#endif
