#ifndef TCORDFERRAWBRANCH_HH_
#define TCORDFERRAWBRANCH_HH_

#include <iostream>
#include <vector>

#include <TSystem.h>

using namespace std;

class TCordferRawBranch
{
  private:
    TString name;

  public:
    TCordferRawBranch(){}
    TCordferRawBranch(TString bname, Int_t segment_id, Int_t bsize, Int_t det_id){
      name = bname;
      geo = segment_id;
      size = bsize;
      detector_id = det_id;
      MemorySet();
    }
    TCordferRawBranch(TString bname, Int_t segment_id, Int_t bsize, Int_t det_id, Int_t bnhit){
      name = bname;
      geo = segment_id;
      size = bsize;
      detector_id = det_id;
      nhit = bnhit;
      TwoDimMemorySet();
    }
    ~TCordferRawBranch(){}

    Int_t size;
    Int_t detector_id;
    Int_t nhit;
    Int_t geo;
    Int_t *bra_val;
    Int_t **mhtdc_val;

    TString GetBranchName(){ return name; }

    void Setgeo(Int_t id){ geo = id; }

    void MemorySet(){ bra_val = new Int_t[size]; }
    void TwoDimMemorySet();
    void FreeMemory(){ delete[] bra_val; }
    void FreeTwoDimMemory();
};

#endif
